#
# spec file for package wxwin (Version 1.67)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xv32base xv32dev gpp libgpp mmcore mmbase mmslib xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         wxwin
Release:      16
Copyright:    1993-97, AIAI, University of Edinburgh
Group: 
Provides:     wxwbase wxwin15 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.67
Summary:      GUI Library for Motif, Openlook and MS-Windows
Source0: wx167_1.tgz
Source1: wx167_2.tgz
Source2: wx167htm.tgz
Source3: wx167ps.tgz
Source4: patch2.zip
Source5: sh167_1.tgz
Source6: wx-win-classes.ps
Patch: wxwin-1.67.dif
%description
wxWindows is a Class Library for C++, which provides a GUI for more than one
platform. The current version supports OpenLook (XView), Motif and
Windows 3.1. WxWindows has originally been developed at the
Artificial Intelligence Applications Institute at the University of
Edinburgh. 
This version has been compiled for the use with OpenLook but there
is a MS-Windows version as well. The whole package can be found under
/usr/lib/wxwin. 

Authors:
--------
    Julian Smart <J.Smart@ed.ac.uk>

%prep
%setup -T -c -n wxwin-1.67
%setup -a 0 -T -D -n wxwin-1.67
%setup -a 1 -T -D -n wxwin-1.67
%setup -a 2 -T -D -n wxwin-1.67
%setup -a 3 -T -D -n wxwin-1.67
unzip -a -o $RPM_SOURCE_DIR/patch2.zip
%setup -a 5 -T -D -n wxwin-1.67
%patch
#if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
cp -a $RPM_SOURCE_DIR/wx-win-classes.ps /usr/doc/packages/wxwin
Check
%files
%docdir /usr/doc/packages/wxwin
/usr/doc/packages/wxwin/docs
/usr/doc/packages/wxwin/changes.txt
/usr/doc/packages/wxwin/readme.txt
/usr/doc/packages/wxwin/wx-win-classes.ps
/usr/include/wxwin/astring.h
/usr/include/wxwin/base/common.h
/usr/include/wxwin/base/wb_buttn.h
/usr/include/wxwin/base/wb_canvs.h
/usr/include/wxwin/base/wb_check.h
/usr/include/wxwin/base/wb_choic.h
/usr/include/wxwin/base/wb_cmdlg.h
/usr/include/wxwin/base/wb_combo.h
/usr/include/wxwin/base/wb_dc.h
/usr/include/wxwin/base/wb_dccan.h
/usr/include/wxwin/base/wb_dcmem.h
/usr/include/wxwin/base/wb_dcpan.h
/usr/include/wxwin/base/wb_dialg.h
/usr/include/wxwin/base/wb_frame.h
/usr/include/wxwin/base/wb_gauge.h
/usr/include/wxwin/base/wb_gdi.h
/usr/include/wxwin/base/wb_group.h
/usr/include/wxwin/base/wb_ipc.h
/usr/include/wxwin/base/wb_ipcob.h
/usr/include/wxwin/base/wb_item.h
/usr/include/wxwin/base/wb_lbox.h
/usr/include/wxwin/base/wb_main.h
/usr/include/wxwin/base/wb_menu.h
/usr/include/wxwin/base/wb_messg.h
/usr/include/wxwin/base/wb_mf.h
/usr/include/wxwin/base/wb_mnuit.h
/usr/include/wxwin/base/wb_mtxt.h
/usr/include/wxwin/base/wb_panel.h
/usr/include/wxwin/base/wb_rbox.h
/usr/include/wxwin/base/wb_scrol.h
/usr/include/wxwin/base/wb_slidr.h
/usr/include/wxwin/base/wb_stat.h
/usr/include/wxwin/base/wb_text.h
/usr/include/wxwin/base/wb_timer.h
/usr/include/wxwin/base/wb_txt.h
/usr/include/wxwin/base/wb_vlbox.h
/usr/include/wxwin/base/wb_win.h
/usr/include/wxwin/base/wx.h
/usr/include/wxwin/base/wx_bbar.h
/usr/include/wxwin/base/wx_date.h
/usr/include/wxwin/base/wx_dcps.h
/usr/include/wxwin/base/wx_defs.h
/usr/include/wxwin/base/wx_doc.h
/usr/include/wxwin/base/wx_enhdg.h
/usr/include/wxwin/base/wx_form.h
/usr/include/wxwin/base/wx_frac.h
/usr/include/wxwin/base/wx_hash.h
/usr/include/wxwin/base/wx_help.h
/usr/include/wxwin/base/wx_lay.h
/usr/include/wxwin/base/wx_list.h
/usr/include/wxwin/base/wx_mem.h
/usr/include/wxwin/base/wx_mgstr.h
/usr/include/wxwin/base/wx_obj.h
/usr/include/wxwin/base/wx_prec.h
/usr/include/wxwin/base/wx_print.h
/usr/include/wxwin/base/wx_res.h
/usr/include/wxwin/base/wx_setup.h
/usr/include/wxwin/base/wx_stdev.h
/usr/include/wxwin/base/wx_sysev.h
/usr/include/wxwin/base/wx_tbar.h
/usr/include/wxwin/base/wx_time.h
/usr/include/wxwin/base/wx_types.h
/usr/include/wxwin/base/wx_utils.h
/usr/include/wxwin/base/wx_ver.h
/usr/include/wxwin/base/wxstring.h
/usr/include/wxwin/dataset.h
/usr/include/wxwin/hytext.h
/usr/include/wxwin/lbchart.h
/usr/include/wxwin/prologio/prorpc.h
/usr/include/wxwin/prologio/read.h
/usr/include/wxwin/tex2any.h
/usr/include/wxwin/wx_image.h
/usr/include/wxwin/wx_imgx.h
/usr/include/wxwin/wx_pform.h
/usr/include/wxwin/wx_plist.h
/usr/include/wxwin/wx_prop.h
/usr/include/wxwin/wxcgi.h
/usr/include/wxwin/wxgraph.h
/usr/include/wxwin/wxhtml.h
/usr/include/wxwin/wxtree.h
/usr/include/wxwin/wxwww.h
/usr/include/wxwin/x/sb_impl.h
/usr/include/wxwin/x/wx_buttn.h
/usr/include/wxwin/x/wx_canvs.h
/usr/include/wxwin/x/wx_check.h
/usr/include/wxwin/x/wx_choic.h
/usr/include/wxwin/x/wx_clipb.h
/usr/include/wxwin/x/wx_cmdlg.h
/usr/include/wxwin/x/wx_combo.h
/usr/include/wxwin/x/wx_dc.h
/usr/include/wxwin/x/wx_dccan.h
/usr/include/wxwin/x/wx_dcmem.h
/usr/include/wxwin/x/wx_dcpan.h
/usr/include/wxwin/x/wx_dialg.h
/usr/include/wxwin/x/wx_frame.h
/usr/include/wxwin/x/wx_gauge.h
/usr/include/wxwin/x/wx_gdi.h
/usr/include/wxwin/x/wx_group.h
/usr/include/wxwin/x/wx_ipc.h
/usr/include/wxwin/x/wx_ipcob.h
/usr/include/wxwin/x/wx_item.h
/usr/include/wxwin/x/wx_lbox.h
/usr/include/wxwin/x/wx_main.h
/usr/include/wxwin/x/wx_menu.h
/usr/include/wxwin/x/wx_messg.h
/usr/include/wxwin/x/wx_mf.h
/usr/include/wxwin/x/wx_mnuit.h
/usr/include/wxwin/x/wx_mtxt.h
/usr/include/wxwin/x/wx_panel.h
/usr/include/wxwin/x/wx_privt.h
/usr/include/wxwin/x/wx_rbox.h
/usr/include/wxwin/x/wx_scrol.h
/usr/include/wxwin/x/wx_slidr.h
/usr/include/wxwin/x/wx_stat.h
/usr/include/wxwin/x/wx_text.h
/usr/include/wxwin/x/wx_timer.h
/usr/include/wxwin/x/wx_txt.h
/usr/include/wxwin/x/wx_vlbox.h
/usr/include/wxwin/x/wx_win.h
/usr/openwin/bin/dialoged
/usr/openwin/bin/tex2rtf
/usr/openwin/bin/wxbuild
/usr/openwin/bin/wxhelp
/usr/openwin/bin/xpmshow
/usr/openwin/lib/libXpm_wx.so
/usr/openwin/lib/libXpm_wx.so.1.67
/usr/openwin/lib/libhytext_ol.so
/usr/openwin/lib/libhytext_ol.so.1.67
/usr/openwin/lib/libmfutils_ol.so
/usr/openwin/lib/libmfutils_ol.so.1.67
/usr/openwin/lib/libwx_ol.so
/usr/openwin/lib/libwx_ol.so.1.67
/usr/openwin/lib/libwxchart_ol.so
/usr/openwin/lib/libwxchart_ol.so.1.67
/usr/openwin/lib/libwxgraph_ol.so
/usr/openwin/lib/libwxgraph_ol.so.1.67
/usr/openwin/lib/libwxgrid_ol.so
/usr/openwin/lib/libwxgrid_ol.so.1.67
/usr/openwin/lib/libwxhtml_ol.so
/usr/openwin/lib/libwxhtml_ol.so.1.67
/usr/openwin/lib/libwxprop_ol.so
/usr/openwin/lib/libwxprop_ol.so.1.67
/usr/openwin/lib/libwxtree_ol.so
/usr/openwin/lib/libwxtree_ol.so.1.67
/usr/openwin/lib/libwxtab_ol.so
/usr/openwin/lib/libwxtab_ol.so.1.67
/usr/lib/wxwin/aiai.xbm
#
%package -n wxwdemo
Summary:      Demo programs for wxwin
Group:
%description -n wxwdemo
Some examples to show the possibilities of wxwindows. These programs have
been compiled using OpenLook.

Authors:
--------
    Julian Smart <J.Smart@ed.ac.uk>

%files -n wxwdemo
/usr/lib/wxwin/wxwdemo.lexec
/usr/lib/wxwin/samples/wxpoem/wxpoem.dat
/usr/lib/wxwin/samples/wxpoem/wxpoem.rc
/usr/lib/wxwin/samples/wxpoem/wxpoem.txt
/usr/openwin/bin/animate
/usr/openwin/bin/bombs
/usr/openwin/bin/dialogs
/usr/openwin/bin/docview
/usr/openwin/bin/form
/usr/openwin/bin/fractal
/usr/openwin/bin/hello
/usr/openwin/bin/layout
/usr/openwin/bin/mdi
/usr/openwin/bin/minimal
/usr/openwin/bin/panel
/usr/openwin/bin/pressup
/usr/openwin/bin/printing
/usr/openwin/bin/resource
/usr/openwin/bin/static
/usr/openwin/bin/toolbar
/usr/openwin/bin/types
/usr/openwin/bin/wxpoem
/usr/openwin/bin/ipcclient
/usr/openwin/bin/ipcserver
/usr/openwin/bin/splitter
/usr/openwin/bin/vlist
/usr/openwin/bin/forty
#
%package -n wxwdocht
Summary:      Documentation for wxwin in HTML
Group:
%description -n wxwdocht
Documentation for wxwin in HTML.

Authors:
--------
    Julian Smart <J.Smart@ed.ac.uk>

%files -n wxwdocht
%doc /usr/doc/packages/wxwin/html
%docdir /usr/lib/wxwin/html
/usr/lib/wxwin/html
#
%package -n wxwdocps
Summary:      Documentation of wxwin in PostScript
Group:
%description -n wxwdocps
Documentation of wxwin in PostScript

Authors:
--------
    Julian Smart <J.Smart@ed.ac.uk>

%files -n wxwdocps
%doc /usr/lib/wxwin/docs/dialoged.ps
%doc /usr/lib/wxwin/docs/faq.ps
%doc /usr/lib/wxwin/docs/hytext.ps
%doc /usr/lib/wxwin/docs/prologio.ps
%doc /usr/lib/wxwin/docs/referenc.ps
%doc /usr/lib/wxwin/docs/tex2rtf.ps
%doc /usr/lib/wxwin/docs/wx.ps
%doc /usr/lib/wxwin/docs/wxbuild.ps
%doc /usr/lib/wxwin/docs/wxchart.ps
%doc /usr/lib/wxwin/docs/wxgraph.ps
%doc /usr/lib/wxwin/docs/wxgrid.ps
%doc /usr/lib/wxwin/docs/wxhelp.ps
%doc /usr/lib/wxwin/docs/wxhelp2.ps
%doc /usr/lib/wxwin/docs/wxprop.ps
%doc /usr/lib/wxwin/docs/wxtab.ps
#
%package -n wxwstat
Summary:      Static libraries for package wxwin
Group:
%description -n wxwstat
This package contains the static libraries for package wxwin.

Authors:
--------
    Julian Smart <J.Smart@ed.ac.uk>

%files -n wxwstat
/usr/openwin/lib/libXpm_wx.a
/usr/openwin/lib/libhytext_ol.a
/usr/openwin/lib/libmfutils_ol.a
/usr/openwin/lib/libwx_ol.a
/usr/openwin/lib/libwxchart_ol.a
/usr/openwin/lib/libwxgraph_ol.a
/usr/openwin/lib/libwxgrid_ol.a
/usr/openwin/lib/libwxhtml_ol.a
/usr/openwin/lib/libwxprop_ol.a
/usr/openwin/lib/libwxtree_ol.a
/usr/openwin/lib/libwxtab_ol.a

